Package org.apache.tapestry5.http.internal

# Class SyntheticSymbolSourceContributionDef

java.lang.Object
org.apache.tapestry5.http.internal.AbstractContributionDef
org.apache.tapestry5.http.internal.SyntheticSymbolSourceContributionDef

All Implemented Interfaces:
  `ContributionDef`

public class SyntheticSymbolSourceContributionDef extends AbstractContributionDef
Makes a contribution to the SymbolSource service configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyntheticSymbolSourceContributionDef(String contributionName, SymbolProvider provider, String... constraints)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `contribute(ModuleBuilderSource moduleSource, ServiceResources resources, OrderedConfiguration configuration)`
  Performs the work needed to contribute into the ordered configuration.
  `String`
  `getServiceId()`
  Returns "SymbolSource".

  ### Methods inherited from class org.apache.tapestry5.http.internal.AbstractContributionDef

  `contribute, contribute`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SyntheticSymbolSourceContributionDef

    public SyntheticSymbolSourceContributionDef(String contributionName, SymbolProvider provider, String... constraints)

- ## Method Details

  - ### contribute

    public void contribute(ModuleBuilderSource moduleSource, ServiceResources resources, OrderedConfiguration configuration)
    Description copied from interface: `ContributionDef`
    Performs the work needed to contribute into the ordered configuration.
    Specified by:
      `contribute` in interface `ContributionDef`
    Overrides:
      `contribute` in class `AbstractContributionDef`
    Parameters:
      `moduleSource` - the source, if needed, of the module instance associated with the contribution
      `resources` - allows access to services visible to the module
      `configuration` - the ordered configuration into which values should be loaded. This instance will encapsulate all related error checks (such as passing of nulls or inappropriate classes).

  - ### getServiceId

    public String getServiceId()
    Returns "SymbolSource".